return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi*2

    if( page.max_columns < 4) then 
        page:rotate(-angle) 
    else
        page:translate(offset)
        if( 0 < percent ) then percent = percent^2 * 20 end
        page:scale(1+percent)
    end
    
end
